// RFM01 RF receiver
#define RFM_SOFTWARE	0
#define RFM_BUFFER	32
#define RFM_BAND	868
#define RFM_CLOCKOUT	0
#define RFM_SCK_PORT	B
#define RFM_SCK_PIN	(1<<PB5)
#define RFM_MISO_PORT	B
#define RFM_MISO_PIN	(1<<PB4)
#define RFM_MOSI_PORT	B
#define RFM_MOSI_PIN	(1<<PB3)
#define RFM_SS_PORT	B
#define RFM_SS_PIN	(1<<PB2)
#define RFM_IRQ_PORT	D
#define RFM_IRQ_PIN	(1<<PD2)
#define RFM_IRQ_NAME	INT0
#define RFM_IRQ_VECTOR	INT0_vect

#define GLUE(a, b)	a##b
#define PORT(x)		GLUE(PORT, x)
#define PIN(x)		GLUE(PIN, x)
#define DDR(x)		GLUE(DDR, x)

#define setBits(port,mask)	do{ (port) |=  (mask); }while(0)
#define clrBits(port,mask)	do{ (port) &= ~(mask); }while(0)
#define tstBits(port,mask)	((port) & (mask))

